org.apache.xpath.axes

## Class WalkingIteratorSorted

- java.lang.Object
- - org.apache.xpath.Expression
  - - org.apache.xpath.patterns.NodeTest
    - - org.apache.xpath.axes.PredicatedNodeTest
      - - org.apache.xpath.axes.LocPathIterator
        - - org.apache.xpath.axes.WalkingIterator
          - - org.apache.xpath.axes.WalkingIteratorSorted

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, javax.xml.transform.SourceLocator, DTMIterator, PathComponent, SubContextList, ExpressionNode, ExpressionOwner, XPathVisitable

      public class WalkingIteratorSorted
      extends WalkingIterator

  This class iterates over set of nodes that needs to be sorted.
  See Also:
    Serialized Form
  Usage:
    **For internal use only**

- - ### Field Summary

    - ### Fields inherited from class org.apache.xpath.axes.LocPathIterator

      `m_lastFetched`

    - ### Fields inherited from class org.apache.xpath.patterns.NodeTest

      `SCORE_NODETEST, SCORE_NONE, SCORE_NSWILD, SCORE_OTHER, SCORE_QNAME, SHOW_BYFUNCTION, SUPPORTS_PRE_STRIPPING, WILD`

    - ### Fields inherited from interface org.apache.xml.dtm.DTMIterator

      `FILTER_ACCEPT, FILTER_REJECT, FILTER_SKIP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WalkingIteratorSorted(PrefixResolver nscontext)` Create a WalkingIteratorSorted object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fixupVariables(java.util.Vector vars, int globalsSize)` This function is used to perform some extra analysis of the iterator.
    `boolean` | `isDocOrdered()` Returns true if all the nodes in the iteration well be returned in document order.

    - ### Methods inherited from class org.apache.xpath.axes.WalkingIterator

      `callVisitors, clone, deepEquals, detach, getAnalysisBits, getExpression, getFirstWalker, getLastUsedWalker, nextNode, reset, setExpression, setFirstWalker, setLastUsedWalker, setRoot`

    - ### Methods inherited from class org.apache.xpath.axes.LocPathIterator

      `allowDetachToRelease, asIterator, asNode, bool, cloneWithReset, execute, executeCharsToContentHandler, getAxis, getContext, getCurrentContextNode, getCurrentNode, getCurrentPos, getDTM, getDTMManager, getExpandEntityReferences, getFilter, getFoundLast, getIsTopLevel, getLastPos, getLength, getPrefixResolver, getRoot, getWhatToShow, getXPathContext, incrementCurrentPos, isFresh, isMutable, isNodesetExpr, item, previousNode, runTo, setCurrentContextNode, setCurrentPos, setEnvironment, setIsTopLevel, setItem, setShouldCacheNodes, size`

    - ### Methods inherited from class org.apache.xpath.axes.PredicatedNodeTest

      `acceptNode, callPredicateVisitors, canTraverseOutsideSubtree, getLocPathIterator, getPredicate, getPredicateCount, getPredicateIndex, getProximityPosition, getProximityPosition, initProximityPosition, isReverseAxes, resetProximityPositions, setLocPathIterator, setPredicateCount`

    - ### Methods inherited from class org.apache.xpath.patterns.NodeTest

      `debugWhatToShow, execute, execute, getDefaultScore, getLocalName, getNamespace, getNodeTypeTest, getStaticScore, initNodeTest, initNodeTest, setLocalName, setNamespace, setStaticScore, setWhatToShow`

    - ### Methods inherited from class org.apache.xpath.Expression

      `asIteratorRaw, assertion, error, execute, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isStableNumber, num, warn, xstr`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WalkingIteratorSorted

          public WalkingIteratorSorted(PrefixResolver nscontext)

      Create a WalkingIteratorSorted object.
      Parameters:
        `nscontext` - The namespace context for this iterator, should be OK if null.

  - ### Method Detail

    - #### isDocOrdered

          public boolean isDocOrdered()

      Returns true if all the nodes in the iteration well be returned in document order.
      Specified by:
        `isDocOrdered` in interface `DTMIterator`
      Overrides:
        `isDocOrdered` in class `LocPathIterator`
      Returns:
        true as a default.

    - #### fixupVariables

          public void fixupVariables(java.util.Vector vars,
                                     int globalsSize)

      This function is used to perform some extra analysis of the iterator.
      Overrides:
        `fixupVariables` in class `WalkingIterator`
      Parameters:
        `vars` - List of QNames that correspond to variables. This list should be searched backwards for the first qualified name that corresponds to the variable reference qname. The position of the QName in the vector from the start of the vector will be its position in the stack frame (but variables above the globalsTop value will need to be offset to the current stack frame).

Copyright © 2023 Apache XML Project. All Rights Reserved.